/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the arguments for the `open` and `close` events of the ContextMenu.
 */
export class ContextMenuEvent {
    /**
     * Specifies the target element for which the ContextMenu is opened.
     */
    target;
    /**
     * Specifies the ContextMenuComponent that triggered the event.
     */
    sender;
    /**
     * Specifies the item data of the event.
     */
    item;
    /**
     * Specifies the item index of the event.
     */
    index;
}
