/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../preventable-event';
/**
 * Represents the arguments for the `popupOpen` and `popupClose` events of the ContextMenu.
 */
export class ContextMenuPopupEvent extends PreventableEvent {
    /**
     * Specifies the target element for which the ContextMenu is opened.
     */
    target;
    /**
     * Specifies the DOM event that started the action.
     */
    originalEvent;
    /**
     * Specifies the ContextMenuComponent that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
