/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Represents the arguments for the `open` and `close` events of the Menu.
 */
export class MenuEvent extends PreventableEvent {
    /**
     * Specifies the MenuComponent that triggered the event.
     */
    sender;
    /**
     * Specifies the item data of the event.
     */
    item;
    /**
     * Specifies the item index of the event.
     */
    index;
}
