/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the animation settings for the Popup component.
 */
export interface MenuAnimation {
    /**
     * Specifies the type of the animation.
     *
     * @default 'slide'
     */
    type?: 'slide' | 'expand' | 'zoom' | 'fade';
    /**
     * Specifies the animation duration in milliseconds.
     *
     * @default 100
     */
    duration: number;
}
